The Anti Hacker Alliance
=================
[anti-hacker-alliance.com](http://anti-hacker-alliance.com)


INTRODUCTION
------------


Import the Blacklist into your SQL Database (blacklist_db) e.g. with phpMyAdmin (csv import) or
e.g. with MySQL-Front.




To use the BlackList add only one Line of PHP Code as first Line on top of your index.php
(and in all other PHP Files you want to protect).


<?php
   require_once("chkeck_ip.php"); // That's all you need to prevent your Website from Hackers and Spammers

  // Rest of PHP code
  // ....
  
?>





BlackList Type 1:
-----------------

Record summary with total and lastseen time.


These files are in Excel compatible CSV format.
"69.30.254.138","1","2014-10-14 08:20:45"
"222.77.224.251","71","2014-11-27 11:34:41"
"149.154.68.54","8","2014-12-11 07:12:32"



1st column is the IP number
2nd is the number of times that IP number been reported in the period for which the file was generated
3rd column is the last seen date/time (UTC) for that IP

With the following SQL Statement you can create a blacklist_db table Type 1.


CREATE TABLE IF NOT EXISTS `blacklist_db` (
  `ip` varchar(15) NOT NULL,
  `joins` int(4) NOT NULL DEFAULT '0',
  `datetime` char(19) NOT NULL DEFAULT '0',
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;






BlackList Type 2:
-----------------


Record summary with total and lastseen time and Geo Informations


These files are in Excel compatible CSV format.
"91.121.237.148","15","2014-10-19 12:35:47","FR","FRANCE","NORD-PAS-DE-CALAIS","ROUBAIX","50.694210","3.174560","59100","+01:00"
"117.207.84.195","16","2013-10-08 02:11:44","IN","INDIA","MAHARASHTRA","MUMBAI","19.014410","72.847940","400099","+05:30"
"178.73.196.198","43","2014-06-06 07:11:10","SE","SWEDEN","STOCKHOLMS","LAN","STOCKHOLM","59.332580","18.064900","10235"



1st column is the IP number
2nd is the number of times that IP number been reported in the period for which the file was generated
3rd column is the last seen date/time (UTC) for that IP
4rd column is the Country Code
5rd column is the Country Name
6rd column is the Region Name
7rd column is the City Name
8rd column is the Latitude
9rd column is the longitude
10rd column is the Zip Code
12rd column is the Time Zone



With the following SQL Statement you can create a blacklist_db table Type 2.


CREATE TABLE IF NOT EXISTS `blacklist_db` (
  `ip` varchar(15) NOT NULL,
  `joins` int(4) NOT NULL DEFAULT '0',
  `datetime` char(19) NOT NULL DEFAULT '0',
  `country_code` char(2) COLLATE utf8_bin DEFAULT NULL,
  `country_name` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `region_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `city_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `latitude` double DEFAULT NULL,
  `longitude` double DEFAULT NULL,
  `zip_code` varchar(30) COLLATE utf8_bin DEFAULT NULL,
  `time_zone` varchar(8) COLLATE utf8_bin DEFAULT NULL,
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;








LICENSE
-------
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License (**with exceptions
for skins & plugins**) as published by the Free Software Foundation,
either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see [www.gnu.org/licenses/][gpl].





CONTACT
-------
For any bug reports or feature requests please contact to

antihacker@anti-hacker-alliance.com


You're always welcome to send a message

antihacker@anti-hacker-alliance.com


